| Home | Libraries | People | FAQ | More

##### basic_signal_set::basic_signal_set (4 of 4 overloads)

Construct a signal set and add three signals.

    basic_signal_set(
        boost::asio::io_service & io_service,
        int signal_number_1,
        int signal_number_2,
        int signal_number_3);

This constructor creates a signal set and registers for three signals.

###### Parameters

io_service

  The `io_service` object that the signal set will use to dispatch handlers for any asynchronous operations performed on the set.

signal_number_1

  The first signal number to be added.

signal_number_2

  The second signal number to be added.

signal_number_3

  The third signal number to be added.

###### Remarks

This constructor is equivalent to performing:

    boost::asio::signal_set signals(io_service);
    signals.add(signal_number_1);
    signals.add(signal_number_2);
    signals.add(signal_number_3);